<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for restaurant in restaurant package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  restaurant module in restaurant package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Restaurant',
    'names'         => 'Restaurants',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Restaurants',
        'sub'   => 'Restaurants',
        'list'  => 'List of restaurants',
        'edit'  => 'Edit restaurant',
        'create'    => 'Create new restaurant'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'price_range'         => ['1','2','3','4','5'],
            'delivery'            => ['Yes', 'No'],
            'type'                => ['Indian', 'Chinese', 'Malabar', 'Italian', 'Arabic', 'Mexican'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'address'                    => 'Please enter address',
        'phone'                      => 'Please enter phone',
        'email'                      => 'Please enter email',
        'price_range'                => 'Please select price range',
        'country'                    => 'Please enter country',
        'city'                       => 'Please enter city',
        'state'                      => 'Please enter state',
        'location'                   => 'Please enter location',
        'zipcode'                    => 'Please enter zipcode',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'rating'                     => 'Please enter rating',
        'logo'                       => 'Please enter logo',
        'gallery'                    => 'Please enter images',
        'delivery'                   => 'Please choose home delivery',
        'type'                       => 'Please enter restaurant type',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
        'working_hours'              => 'Please enter working Hours',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'description'                => 'Description',
        'address'                    => 'Address',
        'phone'                      => 'Phone',
        'email'                      => 'Email',
        'price_range'                => 'Price range',
        'country'                    => 'Country',
        'city'                       => 'City',
        'state'                      => 'State',
        'location'                   => 'Location',
        'zipcode'                    => 'Zipcode',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'rating'                     => 'Rating',
        'logo'                       => 'Logo',
        'gallery'                    => 'Gallery',
        'delivery'                   => 'Home Delivery',
        'type'                       => 'Restaurant Type',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
        'working_hours'              => 'Working Hours',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
        'price_range'                => ['name' => 'Price range', 'data-column' => 4, 'checked'],
        'rating'                     => ['name' => 'Rating', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Restaurants',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
