<?php

namespace Restaurant\Restaurant\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Restaurant extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'restaurant.restaurant.restaurant.model';


    /**
     * The menu that belong to the restaurant.
     */
    public function menu(){
        return $this->hasMany('Restaurant\Restaurant\Models\Menu');
    }


    /**
     * The review that belong to the restaurant.
     */
    public function review(){
        return $this->hasMany('Restaurant\Restaurant\Models\Review');
    }
}
